package com.atlassian.webdriver.bitbucket.element.activity;

import com.atlassian.pageobjects.elements.PageElement;
import com.atlassian.webdriver.bitbucket.element.Comment;

import javax.annotation.Nonnull;

public abstract  class CommentActivityItem extends ActivityItem {

    public CommentActivityItem(@Nonnull PageElement activityContainer) {
        super(activityContainer);
    }

    /**
     * @return the root comment associated with this activity.
     */
    @Nonnull
    public abstract Comment getComment();
}
